<template>
  <div>
    <div class="content-block">
      <div class="container">
        <div class="margin-top-50"></div>
        <div class="row">
          <div class="columns twelve central-column">
            <div class="content">
              <h3 class="main-header">Жалоба на спам</h3>
            </div>
            <div class="white-block">
              <div class="padding">
                <div class="row success">
                  <h3>
                    {{message}}
                  </h3>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
    export default {
      name: 'email-spam',

      data () {
        return {
          message: '',
        }
      },

      created () {
        this.$store.commit('AJAX_LOADING', true)
        if (this.$route.query.hash) {
          this.$backend.api.user.email.spam(this.$route.query.hash).finally(() => {
            this.$store.commit('AJAX_LOADING', false)
            this.message = 'Спасибо. Ссылка подверждения email больше не действительна.'
          })
        } else {
          this.message = 'Спасибо. Ссылка подверждения email больше не действительна.'
          this.$store.commit('AJAX_LOADING', false)
        }

      }
    }
</script>

<style scoped>
  .success {
    background: url(/lk/static/img/messages/success.png) no-repeat;
    background-position: 0 0;
    padding-left: 60px;
  }
  h3 {
    line-height: 33px;
    text-transform: none !important;
  }
</style>
